xn::Module Class Reference

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::Module:
[legend]

## Public Member Functions

| Module ()
virtual | ~Module ()
virtual XnStatus | Load ()
virtual void | Unload ()
XnStatus | AddExportedNode (XnModuleGetExportedInterfacePtr pEntryPoint)
XnUInt32 | GetExportedNodesCount ()
XnStatus | GetExportedNodes (XnModuleGetExportedInterfacePtr *aEntryPoints, XnUInt32 nCount)

## Constructor & Destructor Documentation

## Module()

xn::Module::Module | ( |  | ) |

inline

## ~Module()

virtual xn::Module::~Module | ( |  | ) |

inline virtual

## Member Function Documentation

## AddExportedNode()

XnStatus xn::Module::AddExportedNode | ( | XnModuleGetExportedInterfacePtr | pEntryPoint | ) |

inline

## GetExportedNodes()

XnStatus xn::Module::GetExportedNodes | ( | XnModuleGetExportedInterfacePtr * | aEntryPoints,
|  | XnUInt32 | nCount )

inline

## GetExportedNodesCount()

XnUInt32 xn::Module::GetExportedNodesCount | ( |  | ) |

inline

## Load()

virtual XnStatus xn::Module::Load | ( |  | ) |

inline virtual

Reimplemented in xn::ExtensionModule.

## Unload()

virtual void xn::Module::Unload | ( |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h